%define module  pyocr

Name:           python-%{module}
Version:        0.3.0
Release:        %mkrel 3
Summary:        OCR tool wrapper for Python
Group:          Development/Python
License:        GPLv3
Url:            https://github.com/jflesch/pyocr
Source0:        https://github.com/jflesch/pyocr/archive/v%{version}/%{module}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(xt)
BuildRequires:  pythonegg(2)(setuptools)

Requires:       tesseract

%description
Pyocr is an optical character recognition (OCR) tool wrapper for python.
That is, it helps using OCR tools from a Python program.

Pyocr can be used as a wrapper for google's Tesseract-OCR
( http://code.google.com/p/tesseract-ocr/ ) or Cuneiform. It can read all image
types supported by the Python Imaging Library, including jpeg, png, gif, bmp, tiff,
and others. It also support bounding box data.

%package -n     python3-%{module}
Summary:        OCR tool wrapper for Python 3
Group:          Development/Python
BuildRequires:  pythonegg(3)(setuptools)
Requires:       tesseract

%description -n python3-%{module}
Pyocr is an optical character recognition (OCR) tool wrapper for python 3.
That is, it helps using OCR tools from a Python 3 program.

Pyocr can be used as a wrapper for google's Tesseract-OCR
( http://code.google.com/p/tesseract-ocr/ ) or Cuneiform. It can read all image
types supported by the Python Imaging Library, including jpeg, png, gif, bmp, tiff,
and others. It also support bounding box data.

%prep
%setup -q -n %{module}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%doc ChangeLog README.markdown
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/%{module}/

%files -n python3-%{module}
%doc ChangeLog README.markdown
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{module}/


%changelog
* Sat Nov 19 2016 daviddavid <daviddavid> 0.3.0-3.mga6
+ Revision: 1068356
- add python 3 subpackage
- use new python macros

* Thu Feb 18 2016 umeabot <umeabot> 0.3.0-2.mga6
+ Revision: 966025
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 dglent <dglent> 0.3.0-1.mga6
+ Revision: 839762
- Version 0.3.0

* Wed Oct 15 2014 umeabot <umeabot> 0.2.4-2.mga5
+ Revision: 739640
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 dglent <dglent> 0.2.4-1.mga5
+ Revision: 730946
- imported package python-pyocr

